php[world] 2018 - Call for Speakers

Instalarea

Pentru ca aceste funcții să lucreze, trebuie să compilați PHP cu opțiunea --with-imap[=DIR] , unde DIR este prefixul căii unde a fost instalat c-client. Cu exemplul de mai sus, veți folosi --with-imap=/usr/local/imap-2000b . Această locație depinde de locul unde ați creat acest director, conform descrierii anterioare. Utilizatorii Windows pot include biblioteca DLL php_imap.dll în php.ini.

IMAP nu este susținut pe sisteme mai vechi de Windows 2000. Aceasta se datorează faptului că el utilizează funcții de criptare pentru a permite conexiuni SSL la serverele de poștă.

Notă: În dependență de configurarea c-client, posibil va trebui să adăugați --with-imap-ssl=/path/to/openssl/ și/sau --with-kerberos=/path/to/kerberos la linia de configurare PHP.

Avertizare

Extensiile IMAP, recode, YAZ și Cyrus nu pot fi utilizate împreună, deoarece ele utilizează aceleași simboluri interne. Notă: Yaz 2.0 și ulterior nu manifestă această problemă

add a note add a note

User Contributed Notes 1 note

up
0
gabi3xz at yahoo dot com
3 months ago
In centos 7
yum install sclo-php70-php-imap or php71, check your of php version installed with yum list *php7*
To Top